Bug 818320 - Create an arch macro for PowerPC 64
Create an arch macro for PowerPC 64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
17
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 14:51 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: rpm-4.9.1.3-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-06 00:53:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add power64 arch macro (564 bytes, patch)
2012-05-02 14:52 EDT, David Aquilina
no flags Details | Diff

  None (edit)
Description David Aquilina 2012-05-02 14:51:11 EDT
Description of problem:

On platforms such as x86 and arm, there are macros which expand to all possible subarchs. For example: 

$ rpm --eval '%{ix86}'
i386 i486 i586 i686 pentium3 pentium4 athlon geode

$ rpm --eval '%{arm}'
armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv7l

A new ppc64 subarchitecture, called 'ppc64p7', is being introduced and it's very likely that in the future there will be additional ppc64 subarchitectures. To make adding new subarchs for ppc64 easier in the future, we'd like to have a power arch macro which expands to all possible subarchs.  

The goal would be instead of having: 

%ifarch ppc64 ppc64p7 fictional-ppc64p42 etc etc 

one could just write 

%ifarch %{power64} 

N.B. power64 is a proposed name. We should attempt to avoid perceptual collisions if the string 'power64' is used in similar contexts.
Comment 1 David Aquilina 2012-05-02 14:52:02 EDT
Created attachment 581688 [details]
add power64 arch macro
Comment 2 Phil Knirsch 2012-05-03 07:53:09 EDT
Talked with Panu today, will hit git master in a few days and got a go for a new rpm for F17 with the change.

F17 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4049123

Thanks & regards, Phil
Comment 3 Fedora Update System 2012-05-03 10:58:07 EDT
rpm-4.9.1.3-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpm-4.9.1.3-6.fc17
Comment 4 Fedora Update System 2012-05-03 23:11:04 EDT
Package rpm-4.9.1.3-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.9.1.3-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7269/rpm-4.9.1.3-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-06 00:53:33 EDT
rpm-4.9.1.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.